%%%
%%% Error function for non-linear minimization on 3-D structure (S)
%%%

function [err] = errfuncperspS( S, W, C, Test, Ncamera )

   for c = 1 : Ncamera
      rot = [C(c,1:3) ; C(c,4:6) ; C(c,7:9) ];
      trans = C(c,10:12);
      i = rot(1,:);
      j = rot(2,:);
      k = rot(3,:);
      den = k*S - k*trans';
      U(c) = (i*S - i*trans')./den;
      V(c) = (j*S - j*trans')./den;
   end
   West = [U' ; V'];
   West = West - Test;

   err = 0;
   for c = 1 : Ncamera
      err = err + sum( (W(c) - West(c)).^2 + ...
		       (W(Ncamera+c) - West(Ncamera+c)).^2 );
   end

